#define FIND_DISPLAY_FORMAT(unit)               SELECT (unit)                           \
                                                {                                       \
                                                CASE 1001:      ".1f";  /* degC */      \
                                                CASE 1002:      ".1f";  /* degF */      \
                                                CASE 1054:      ".1f";  /* sec */       \
                                                DEFAULT:        ".3g";                  \
                                                }

#define FIXED_DISPLAY_FORMAT(decimal_point)     SELECT (decimal_point)                  \
                                                {                                       \
                                                CASE 0:         ".0f";                  \
                                                CASE 1:         ".1f";                  \
                                                CASE 2:         ".2f";                  \
                                                CASE 3:         ".3f";                  \
                                                CASE 4:         ".4f";                  \
                                                CASE 5:         ".5f";                  \
                                                CASE 6:         ".6f";                  \
                                                DEFAULT:        ".3f";                  \
                                                }


#define    _UNIT_CODE_1000  { 1000, [unit_1000], [unit_1000_help] }
#define    _UNIT_CODE_1001  { 1001, [unit_1001], [unit_1001_help] }
#define    _UNIT_CODE_1002  { 1002, [unit_1002], [unit_1002_help] }
#define    _UNIT_CODE_1003  { 1003, [unit_1003], [unit_1003_help] }
#define    _UNIT_CODE_1004  { 1004, [unit_1004], [unit_1004_help] }
#define    _UNIT_CODE_1005  { 1005, [unit_1005], [unit_1005_help] }
#define    _UNIT_CODE_1006  { 1006, [unit_1006], [unit_1006_help] }
#define    _UNIT_CODE_1007  { 1007, [unit_1007], [unit_1007_help] }
#define    _UNIT_CODE_1008  { 1008, [unit_1008], [unit_1008_help] }
#define    _UNIT_CODE_1009  { 1009, [unit_1009], [unit_1009_help] }
#define    _UNIT_CODE_1010  { 1010, [unit_1010], [unit_1010_help] }
#define    _UNIT_CODE_1011  { 1011, [unit_1011], [unit_1011_help] }
#define    _UNIT_CODE_1012  { 1012, [unit_1012], [unit_1012_help] }
#define    _UNIT_CODE_1013  { 1013, [unit_1013], [unit_1013_help] }
#define    _UNIT_CODE_1014  { 1014, [unit_1014], [unit_1014_help] }
#define    _UNIT_CODE_1015  { 1015, [unit_1015], [unit_1015_help] }
#define    _UNIT_CODE_1016  { 1016, [unit_1016], [unit_1016_help] }
#define    _UNIT_CODE_1017  { 1017, [unit_1017], [unit_1017_help] }
#define    _UNIT_CODE_1018  { 1018, [unit_1018], [unit_1018_help] }
#define    _UNIT_CODE_1019  { 1019, [unit_1019], [unit_1019_help] }
#define    _UNIT_CODE_1020  { 1020, [unit_1020], [unit_1020_help] }
#define    _UNIT_CODE_1021  { 1021, [unit_1021], [unit_1021_help] }
#define    _UNIT_CODE_1022  { 1022, [unit_1022], [unit_1022_help] }
#define    _UNIT_CODE_1023  { 1023, [unit_1023], [unit_1023_help] }
#define    _UNIT_CODE_1024  { 1024, [unit_1024], [unit_1024_help] }
#define    _UNIT_CODE_1025  { 1025, [unit_1025], [unit_1025_help] }
#define    _UNIT_CODE_1026  { 1026, [unit_1026], [unit_1026_help] }
#define    _UNIT_CODE_1027  { 1027, [unit_1027], [unit_1027_help] }
#define    _UNIT_CODE_1028  { 1028, [unit_1028], [unit_1028_help] }
#define    _UNIT_CODE_1029  { 1029, [unit_1029], [unit_1029_help] }
#define    _UNIT_CODE_1030  { 1030, [unit_1030], [unit_1030_help] }
#define    _UNIT_CODE_1031  { 1031, [unit_1031], [unit_1031_help] }
#define    _UNIT_CODE_1032  { 1032, [unit_1032], [unit_1032_help] }
#define    _UNIT_CODE_1033  { 1033, [unit_1033], [unit_1033_help] }
#define    _UNIT_CODE_1034  { 1034, [unit_1034], [unit_1034_help] }
#define    _UNIT_CODE_1035  { 1035, [unit_1035], [unit_1035_help] }
#define    _UNIT_CODE_1036  { 1036, [unit_1036], [unit_1036_help] }
#define    _UNIT_CODE_1037  { 1037, [unit_1037], [unit_1037_help] }
#define    _UNIT_CODE_1038  { 1038, [unit_1038], [unit_1038_help] }
#define    _UNIT_CODE_1039  { 1039, [unit_1039], [unit_1039_help] }
#define    _UNIT_CODE_1040  { 1040, [unit_1040], [unit_1040_help] }
#define    _UNIT_CODE_1041  { 1041, [unit_1041], [unit_1041_help] }
#define    _UNIT_CODE_1042  { 1042, [unit_1042], [unit_1042_help] }
#define    _UNIT_CODE_1043  { 1043, [unit_1043], [unit_1043_help] }
#define    _UNIT_CODE_1044  { 1044, [unit_1044], [unit_1044_help] }
#define    _UNIT_CODE_1045  { 1045, [unit_1045], [unit_1045_help] }
#define    _UNIT_CODE_1046  { 1046, [unit_1046], [unit_1046_help] }
#define    _UNIT_CODE_1047  { 1047, [unit_1047], [unit_1047_help] }
#define    _UNIT_CODE_1048  { 1048, [unit_1048], [unit_1048_help] }
#define    _UNIT_CODE_1049  { 1049, [unit_1049], [unit_1049_help] }
#define    _UNIT_CODE_1050  { 1050, [unit_1050], [unit_1050_help] }
#define    _UNIT_CODE_1051  { 1051, [unit_1051], [unit_1051_help] }
#define    _UNIT_CODE_1052  { 1052, [unit_1052], [unit_1052_help] }
#define    _UNIT_CODE_1053  { 1053, [unit_1053], [unit_1053_help] }
#define    _UNIT_CODE_1054  { 1054, [unit_1054], [unit_1054_help] }
#define    _UNIT_CODE_1055  { 1055, [unit_1055], [unit_1055_help] }
#define    _UNIT_CODE_1056  { 1056, [unit_1056], [unit_1056_help] }
#define    _UNIT_CODE_1057  { 1057, [unit_1057], [unit_1057_help] }
#define    _UNIT_CODE_1058  { 1058, [unit_1058], [unit_1058_help] }
#define    _UNIT_CODE_1059  { 1059, [unit_1059], [unit_1059_help] }
#define    _UNIT_CODE_1060  { 1060, [unit_1060], [unit_1060_help] }
#define    _UNIT_CODE_1061  { 1061, [unit_1061], [unit_1061_help] }
#define    _UNIT_CODE_1062  { 1062, [unit_1062], [unit_1062_help] }
#define    _UNIT_CODE_1063  { 1063, [unit_1063], [unit_1063_help] }
#define    _UNIT_CODE_1064  { 1064, [unit_1064], [unit_1064_help] }
#define    _UNIT_CODE_1065  { 1065, [unit_1065], [unit_1065_help] }
#define    _UNIT_CODE_1066  { 1066, [unit_1066], [unit_1066_help] }
#define    _UNIT_CODE_1067  { 1067, [unit_1067], [unit_1067_help] }
#define    _UNIT_CODE_1068  { 1068, [unit_1068], [unit_1068_help] }
#define    _UNIT_CODE_1069  { 1069, [unit_1069], [unit_1069_help] }
#define    _UNIT_CODE_1070  { 1070, [unit_1070], [unit_1070_help] }
#define    _UNIT_CODE_1071  { 1071, [unit_1071], [unit_1071_help] }
#define    _UNIT_CODE_1072  { 1072, [unit_1072], [unit_1072_help] }
#define    _UNIT_CODE_1073  { 1073, [unit_1073], [unit_1073_help] }
#define    _UNIT_CODE_1074  { 1074, [unit_1074], [unit_1074_help] }
#define    _UNIT_CODE_1075  { 1075, [unit_1075], [unit_1075_help] }
#define    _UNIT_CODE_1076  { 1076, [unit_1076], [unit_1076_help] }
#define    _UNIT_CODE_1077  { 1077, [unit_1077], [unit_1077_help] }
#define    _UNIT_CODE_1078  { 1078, [unit_1078], [unit_1078_help] }
#define    _UNIT_CODE_1079  { 1079, [unit_1079], [unit_1079_help] }
#define    _UNIT_CODE_1080  { 1080, [unit_1080], [unit_1080_help] }
#define    _UNIT_CODE_1081  { 1081, [unit_1081], [unit_1081_help] }
#define    _UNIT_CODE_1082  { 1082, [unit_1082], [unit_1082_help] }
#define    _UNIT_CODE_1083  { 1083, [unit_1083], [unit_1083_help] }
#define    _UNIT_CODE_1084  { 1084, [unit_1084], [unit_1084_help] }
#define    _UNIT_CODE_1085  { 1085, [unit_1085], [unit_1085_help] }
#define    _UNIT_CODE_1086  { 1086, [unit_1086], [unit_1086_help] }
#define    _UNIT_CODE_1087  { 1087, [unit_1087], [unit_1087_help] }
#define    _UNIT_CODE_1088  { 1088, [unit_1088], [unit_1088_help] }
#define    _UNIT_CODE_1089  { 1089, [unit_1089], [unit_1089_help] }
#define    _UNIT_CODE_1090  { 1090, [unit_1090], [unit_1090_help] }
#define    _UNIT_CODE_1091  { 1091, [unit_1091], [unit_1091_help] }
#define    _UNIT_CODE_1092  { 1092, [unit_1092], [unit_1092_help] }
#define    _UNIT_CODE_1093  { 1093, [unit_1093], [unit_1093_help] }
#define    _UNIT_CODE_1094  { 1094, [unit_1094], [unit_1094_help] }
#define    _UNIT_CODE_1095  { 1095, [unit_1095], [unit_1095_help] }
#define    _UNIT_CODE_1096  { 1096, [unit_1096], [unit_1096_help] }
#define    _UNIT_CODE_1097  { 1097, [unit_1097], [unit_1097_help] }
#define    _UNIT_CODE_1098  { 1098, [unit_1098], [unit_1098_help] }
#define    _UNIT_CODE_1099  { 1099, [unit_1099], [unit_1099_help] }
#define    _UNIT_CODE_1100  { 1100, [unit_1100], [unit_1100_help] }
#define    _UNIT_CODE_1101  { 1101, [unit_1101], [unit_1101_help] }
#define    _UNIT_CODE_1102  { 1102, [unit_1102], [unit_1102_help] }
#define    _UNIT_CODE_1103  { 1103, [unit_1103], [unit_1103_help] }
#define    _UNIT_CODE_1104  { 1104, [unit_1104], [unit_1104_help] }
#define    _UNIT_CODE_1105  { 1105, [unit_1105], [unit_1105_help] }
#define    _UNIT_CODE_1106  { 1106, [unit_1106], [unit_1106_help] }
#define    _UNIT_CODE_1107  { 1107, [unit_1107], [unit_1107_help] }
#define    _UNIT_CODE_1108  { 1108, [unit_1108], [unit_1108_help] }
#define    _UNIT_CODE_1109  { 1109, [unit_1109], [unit_1109_help] }
#define    _UNIT_CODE_1110  { 1110, [unit_1110], [unit_1110_help] }
#define    _UNIT_CODE_1111  { 1111, [unit_1111], [unit_1111_help] }
#define    _UNIT_CODE_1112  { 1112, [unit_1112], [unit_1112_help] }
#define    _UNIT_CODE_1113  { 1113, [unit_1113], [unit_1113_help] }
#define    _UNIT_CODE_1114  { 1114, [unit_1114], [unit_1114_help] }
#define    _UNIT_CODE_1115  { 1115, [unit_1115], [unit_1115_help] }
#define    _UNIT_CODE_1116  { 1116, [unit_1116], [unit_1116_help] }
#define    _UNIT_CODE_1117  { 1117, [unit_1117], [unit_1117_help] }
#define    _UNIT_CODE_1118  { 1118, [unit_1118], [unit_1118_help] }
#define    _UNIT_CODE_1119  { 1119, [unit_1119], [unit_1119_help] }
#define    _UNIT_CODE_1120  { 1120, [unit_1120], [unit_1120_help] }
#define    _UNIT_CODE_1121  { 1121, [unit_1121], [unit_1121_help] }
#define    _UNIT_CODE_1122  { 1122, [unit_1122], [unit_1122_help] }
#define    _UNIT_CODE_1123  { 1123, [unit_1123], [unit_1123_help] }
#define    _UNIT_CODE_1124  { 1124, [unit_1124], [unit_1124_help] }
#define    _UNIT_CODE_1125  { 1125, [unit_1125], [unit_1125_help] }
#define    _UNIT_CODE_1126  { 1126, [unit_1126], [unit_1126_help] }
#define    _UNIT_CODE_1127  { 1127, [unit_1127], [unit_1127_help] }
#define    _UNIT_CODE_1128  { 1128, [unit_1128], [unit_1128_help] }
#define    _UNIT_CODE_1129  { 1129, [unit_1129], [unit_1129_help] }
#define    _UNIT_CODE_1130  { 1130, [unit_1130], [unit_1130_help] }
#define    _UNIT_CODE_1131  { 1131, [unit_1131], [unit_1131_help] }
#define    _UNIT_CODE_1132  { 1132, [unit_1132], [unit_1132_help] }
#define    _UNIT_CODE_1133  { 1133, [unit_1133], [unit_1133_help] }
#define    _UNIT_CODE_1134  { 1134, [unit_1134], [unit_1134_help] }
#define    _UNIT_CODE_1135  { 1135, [unit_1135], [unit_1135_help] }
#define    _UNIT_CODE_1136  { 1136, [unit_1136], [unit_1136_help] }
#define    _UNIT_CODE_1137  { 1137, [unit_1137], [unit_1137_help] }
#define    _UNIT_CODE_1138  { 1138, [unit_1138], [unit_1138_help] }
#define    _UNIT_CODE_1139  { 1139, [unit_1139], [unit_1139_help] }
#define    _UNIT_CODE_1140  { 1140, [unit_1140], [unit_1140_help] }
#define    _UNIT_CODE_1141  { 1141, [unit_1141], [unit_1141_help] }
#define    _UNIT_CODE_1142  { 1142, [unit_1142], [unit_1142_help] }
#define    _UNIT_CODE_1143  { 1143, [unit_1143], [unit_1143_help] }
#define    _UNIT_CODE_1144  { 1144, [unit_1144], [unit_1144_help] }
#define    _UNIT_CODE_1145  { 1145, [unit_1145], [unit_1145_help] }
#define    _UNIT_CODE_1146  { 1146, [unit_1146], [unit_1146_help] }
#define    _UNIT_CODE_1147  { 1147, [unit_1147], [unit_1147_help] }
#define    _UNIT_CODE_1148  { 1148, [unit_1148], [unit_1148_help] }
#define    _UNIT_CODE_1149  { 1149, [unit_1149], [unit_1149_help] }
#define    _UNIT_CODE_1150  { 1150, [unit_1150], [unit_1150_help] }
#define    _UNIT_CODE_1151  { 1151, [unit_1151], [unit_1151_help] }
#define    _UNIT_CODE_1152  { 1152, [unit_1152], [unit_1152_help] }
#define    _UNIT_CODE_1153  { 1153, [unit_1153], [unit_1153_help] }
#define    _UNIT_CODE_1154  { 1154, [unit_1154], [unit_1154_help] }
#define    _UNIT_CODE_1155  { 1155, [unit_1155], [unit_1155_help] }
#define    _UNIT_CODE_1156  { 1156, [unit_1156], [unit_1156_help] }
#define    _UNIT_CODE_1157  { 1157, [unit_1157], [unit_1157_help] }
#define    _UNIT_CODE_1158  { 1158, [unit_1158], [unit_1158_help] }
#define    _UNIT_CODE_1159  { 1159, [unit_1159], [unit_1159_help] }
#define    _UNIT_CODE_1160  { 1160, [unit_1160], [unit_1160_help] }
#define    _UNIT_CODE_1161  { 1161, [unit_1161], [unit_1161_help] }
#define    _UNIT_CODE_1162  { 1162, [unit_1162], [unit_1162_help] }
#define    _UNIT_CODE_1163  { 1163, [unit_1163], [unit_1163_help] }
#define    _UNIT_CODE_1164  { 1164, [unit_1164], [unit_1164_help] }
#define    _UNIT_CODE_1165  { 1165, [unit_1165], [unit_1165_help] }
#define    _UNIT_CODE_1166  { 1166, [unit_1166], [unit_1166_help] }
#define    _UNIT_CODE_1167  { 1167, [unit_1167], [unit_1167_help] }
#define    _UNIT_CODE_1168  { 1168, [unit_1168], [unit_1168_help] }
#define    _UNIT_CODE_1169  { 1169, [unit_1169], [unit_1169_help] }
#define    _UNIT_CODE_1170  { 1170, [unit_1170], [unit_1170_help] }
#define    _UNIT_CODE_1171  { 1171, [unit_1171], [unit_1171_help] }
#define    _UNIT_CODE_1172  { 1172, [unit_1172], [unit_1172_help] }
#define    _UNIT_CODE_1173  { 1173, [unit_1173], [unit_1173_help] }
#define    _UNIT_CODE_1174  { 1174, [unit_1174], [unit_1174_help] }
#define    _UNIT_CODE_1175  { 1175, [unit_1175], [unit_1175_help] }
#define    _UNIT_CODE_1176  { 1176, [unit_1176], [unit_1176_help] }
#define    _UNIT_CODE_1177  { 1177, [unit_1177], [unit_1177_help] }
#define    _UNIT_CODE_1178  { 1178, [unit_1178], [unit_1178_help] }
#define    _UNIT_CODE_1179  { 1179, [unit_1179], [unit_1179_help] }
#define    _UNIT_CODE_1180  { 1180, [unit_1180], [unit_1180_help] }
#define    _UNIT_CODE_1181  { 1181, [unit_1181], [unit_1181_help] }
#define    _UNIT_CODE_1182  { 1182, [unit_1182], [unit_1182_help] }
#define    _UNIT_CODE_1183  { 1183, [unit_1183], [unit_1183_help] }
#define    _UNIT_CODE_1184  { 1184, [unit_1184], [unit_1184_help] }
#define    _UNIT_CODE_1185  { 1185, [unit_1185], [unit_1185_help] }
#define    _UNIT_CODE_1186  { 1186, [unit_1186], [unit_1186_help] }
#define    _UNIT_CODE_1187  { 1187, [unit_1187], [unit_1187_help] }
#define    _UNIT_CODE_1188  { 1188, [unit_1188], [unit_1188_help] }
#define    _UNIT_CODE_1189  { 1189, [unit_1189], [unit_1189_help] }
#define    _UNIT_CODE_1190  { 1190, [unit_1190], [unit_1190_help] }
#define    _UNIT_CODE_1191  { 1191, [unit_1191], [unit_1191_help] }
#define    _UNIT_CODE_1192  { 1192, [unit_1192], [unit_1192_help] }
#define    _UNIT_CODE_1193  { 1193, [unit_1193], [unit_1193_help] }
#define    _UNIT_CODE_1194  { 1194, [unit_1194], [unit_1194_help] }
#define    _UNIT_CODE_1195  { 1195, [unit_1195], [unit_1195_help] }
#define    _UNIT_CODE_1196  { 1196, [unit_1196], [unit_1196_help] }
#define    _UNIT_CODE_1197  { 1197, [unit_1197], [unit_1197_help] }
#define    _UNIT_CODE_1198  { 1198, [unit_1198], [unit_1198_help] }
#define    _UNIT_CODE_1199  { 1199, [unit_1199], [unit_1199_help] }
#define    _UNIT_CODE_1200  { 1200, [unit_1200], [unit_1200_help] }
#define    _UNIT_CODE_1201  { 1201, [unit_1201], [unit_1201_help] }
#define    _UNIT_CODE_1202  { 1202, [unit_1202], [unit_1202_help] }
#define    _UNIT_CODE_1203  { 1203, [unit_1203], [unit_1203_help] }
#define    _UNIT_CODE_1204  { 1204, [unit_1204], [unit_1204_help] }
#define    _UNIT_CODE_1205  { 1205, [unit_1205], [unit_1205_help] }
#define    _UNIT_CODE_1206  { 1206, [unit_1206], [unit_1206_help] }
#define    _UNIT_CODE_1207  { 1207, [unit_1207], [unit_1207_help] }
#define    _UNIT_CODE_1208  { 1208, [unit_1208], [unit_1208_help] }
#define    _UNIT_CODE_1209  { 1209, [unit_1209], [unit_1209_help] }
#define    _UNIT_CODE_1210  { 1210, [unit_1210], [unit_1210_help] }
#define    _UNIT_CODE_1211  { 1211, [unit_1211], [unit_1211_help] }
#define    _UNIT_CODE_1212  { 1212, [unit_1212], [unit_1212_help] }
#define    _UNIT_CODE_1213  { 1213, [unit_1213], [unit_1213_help] }
#define    _UNIT_CODE_1214  { 1214, [unit_1214], [unit_1214_help] }
#define    _UNIT_CODE_1215  { 1215, [unit_1215], [unit_1215_help] }
#define    _UNIT_CODE_1216  { 1216, [unit_1216], [unit_1216_help] }
#define    _UNIT_CODE_1217  { 1217, [unit_1217], [unit_1217_help] }
#define    _UNIT_CODE_1218  { 1218, [unit_1218], [unit_1218_help] }
#define    _UNIT_CODE_1219  { 1219, [unit_1219], [unit_1219_help] }
#define    _UNIT_CODE_1220  { 1220, [unit_1220], [unit_1220_help] }
#define    _UNIT_CODE_1221  { 1221, [unit_1221], [unit_1221_help] }
#define    _UNIT_CODE_1222  { 1222, [unit_1222], [unit_1222_help] }
#define    _UNIT_CODE_1223  { 1223, [unit_1223], [unit_1223_help] }
#define    _UNIT_CODE_1224  { 1224, [unit_1224], [unit_1224_help] }
#define    _UNIT_CODE_1225  { 1225, [unit_1225], [unit_1225_help] }
#define    _UNIT_CODE_1226  { 1226, [unit_1226], [unit_1226_help] }
#define    _UNIT_CODE_1227  { 1227, [unit_1227], [unit_1227_help] }
#define    _UNIT_CODE_1228  { 1228, [unit_1228], [unit_1228_help] }
#define    _UNIT_CODE_1229  { 1229, [unit_1229], [unit_1229_help] }
#define    _UNIT_CODE_1230  { 1230, [unit_1230], [unit_1230_help] }
#define    _UNIT_CODE_1231  { 1231, [unit_1231], [unit_1231_help] }
#define    _UNIT_CODE_1232  { 1232, [unit_1232], [unit_1232_help] }
#define    _UNIT_CODE_1233  { 1233, [unit_1233], [unit_1233_help] }
#define    _UNIT_CODE_1234  { 1234, [unit_1234], [unit_1234_help] }
#define    _UNIT_CODE_1235  { 1235, [unit_1235], [unit_1235_help] }
#define    _UNIT_CODE_1236  { 1236, [unit_1236], [unit_1236_help] }
#define    _UNIT_CODE_1237  { 1237, [unit_1237], [unit_1237_help] }
#define    _UNIT_CODE_1238  { 1238, [unit_1238], [unit_1238_help] }
#define    _UNIT_CODE_1239  { 1239, [unit_1239], [unit_1239_help] }
#define    _UNIT_CODE_1240  { 1240, [unit_1240], [unit_1240_help] }
#define    _UNIT_CODE_1241  { 1241, [unit_1241], [unit_1241_help] }
#define    _UNIT_CODE_1242  { 1242, [unit_1242], [unit_1242_help] }
#define    _UNIT_CODE_1243  { 1243, [unit_1243], [unit_1243_help] }
#define    _UNIT_CODE_1244  { 1244, [unit_1244], [unit_1244_help] }
#define    _UNIT_CODE_1245  { 1245, [unit_1245], [unit_1245_help] }
#define    _UNIT_CODE_1246  { 1246, [unit_1246], [unit_1246_help] }
#define    _UNIT_CODE_1247  { 1247, [unit_1247], [unit_1247_help] }
#define    _UNIT_CODE_1248  { 1248, [unit_1248], [unit_1248_help] }
#define    _UNIT_CODE_1249  { 1249, [unit_1249], [unit_1249_help] }
#define    _UNIT_CODE_1250  { 1250, [unit_1250], [unit_1250_help] }
#define    _UNIT_CODE_1251  { 1251, [unit_1251], [unit_1251_help] }
#define    _UNIT_CODE_1252  { 1252, [unit_1252], [unit_1252_help] }
#define    _UNIT_CODE_1253  { 1253, [unit_1253], [unit_1253_help] }
#define    _UNIT_CODE_1254  { 1254, [unit_1254], [unit_1254_help] }
#define    _UNIT_CODE_1255  { 1255, [unit_1255], [unit_1255_help] }
#define    _UNIT_CODE_1256  { 1256, [unit_1256], [unit_1256_help] }
#define    _UNIT_CODE_1257  { 1257, [unit_1257], [unit_1257_help] }
#define    _UNIT_CODE_1258  { 1258, [unit_1258], [unit_1258_help] }
#define    _UNIT_CODE_1259  { 1259, [unit_1259], [unit_1259_help] }
#define    _UNIT_CODE_1260  { 1260, [unit_1260], [unit_1260_help] }
#define    _UNIT_CODE_1261  { 1261, [unit_1261], [unit_1261_help] }
#define    _UNIT_CODE_1262  { 1262, [unit_1262], [unit_1262_help] }
#define    _UNIT_CODE_1263  { 1263, [unit_1263], [unit_1263_help] }
#define    _UNIT_CODE_1264  { 1264, [unit_1264], [unit_1264_help] }
#define    _UNIT_CODE_1265  { 1265, [unit_1265], [unit_1265_help] }
#define    _UNIT_CODE_1266  { 1266, [unit_1266], [unit_1266_help] }
#define    _UNIT_CODE_1267  { 1267, [unit_1267], [unit_1267_help] }
#define    _UNIT_CODE_1268  { 1268, [unit_1268], [unit_1268_help] }
#define    _UNIT_CODE_1269  { 1269, [unit_1269], [unit_1269_help] }
#define    _UNIT_CODE_1270  { 1270, [unit_1270], [unit_1270_help] }
#define    _UNIT_CODE_1271  { 1271, [unit_1271], [unit_1271_help] }
#define    _UNIT_CODE_1272  { 1272, [unit_1272], [unit_1272_help] }
#define    _UNIT_CODE_1273  { 1273, [unit_1273], [unit_1273_help] }
#define    _UNIT_CODE_1274  { 1274, [unit_1274], [unit_1274_help] }
#define    _UNIT_CODE_1275  { 1275, [unit_1275], [unit_1275_help] }
#define    _UNIT_CODE_1276  { 1276, [unit_1276], [unit_1276_help] }
#define    _UNIT_CODE_1277  { 1277, [unit_1277], [unit_1277_help] }
#define    _UNIT_CODE_1278  { 1278, [unit_1278], [unit_1278_help] }
#define    _UNIT_CODE_1279  { 1279, [unit_1279], [unit_1279_help] }
#define    _UNIT_CODE_1280  { 1280, [unit_1280], [unit_1280_help] }
#define    _UNIT_CODE_1281  { 1281, [unit_1281], [unit_1281_help] }
#define    _UNIT_CODE_1282  { 1282, [unit_1282], [unit_1282_help] }
#define    _UNIT_CODE_1283  { 1283, [unit_1283], [unit_1283_help] }
#define    _UNIT_CODE_1284  { 1284, [unit_1284], [unit_1284_help] }
#define    _UNIT_CODE_1285  { 1285, [unit_1285], [unit_1285_help] }
#define    _UNIT_CODE_1286  { 1286, [unit_1286], [unit_1286_help] }
#define    _UNIT_CODE_1287  { 1287, [unit_1287], [unit_1287_help] }
#define    _UNIT_CODE_1288  { 1288, [unit_1288], [unit_1288_help] }
#define    _UNIT_CODE_1289  { 1289, [unit_1289], [unit_1289_help] }
#define    _UNIT_CODE_1290  { 1290, [unit_1290], [unit_1290_help] }
#define    _UNIT_CODE_1291  { 1291, [unit_1291], [unit_1291_help] }
#define    _UNIT_CODE_1292  { 1292, [unit_1292], [unit_1292_help] }
#define    _UNIT_CODE_1293  { 1293, [unit_1293], [unit_1293_help] }
#define    _UNIT_CODE_1294  { 1294, [unit_1294], [unit_1294_help] }
#define    _UNIT_CODE_1295  { 1295, [unit_1295], [unit_1295_help] }
#define    _UNIT_CODE_1296  { 1296, [unit_1296], [unit_1296_help] }
#define    _UNIT_CODE_1297  { 1297, [unit_1297], [unit_1297_help] }
#define    _UNIT_CODE_1298  { 1298, [unit_1298], [unit_1298_help] }
#define    _UNIT_CODE_1299  { 1299, [unit_1299], [unit_1299_help] }
#define    _UNIT_CODE_1300  { 1300, [unit_1300], [unit_1300_help] }
#define    _UNIT_CODE_1301  { 1301, [unit_1301], [unit_1301_help] }
#define    _UNIT_CODE_1302  { 1302, [unit_1302], [unit_1302_help] }
#define    _UNIT_CODE_1303  { 1303, [unit_1303], [unit_1303_help] }
#define    _UNIT_CODE_1304  { 1304, [unit_1304], [unit_1304_help] }
#define    _UNIT_CODE_1305  { 1305, [unit_1305], [unit_1305_help] }
#define    _UNIT_CODE_1306  { 1306, [unit_1306], [unit_1306_help] }
#define    _UNIT_CODE_1307  { 1307, [unit_1307], [unit_1307_help] }
#define    _UNIT_CODE_1308  { 1308, [unit_1308], [unit_1308_help] }
#define    _UNIT_CODE_1309  { 1309, [unit_1309], [unit_1309_help] }
#define    _UNIT_CODE_1310  { 1310, [unit_1310], [unit_1310_help] }
#define    _UNIT_CODE_1311  { 1311, [unit_1311], [unit_1311_help] }
#define    _UNIT_CODE_1312  { 1312, [unit_1312], [unit_1312_help] }
#define    _UNIT_CODE_1313  { 1313, [unit_1313], [unit_1313_help] }
#define    _UNIT_CODE_1314  { 1314, [unit_1314], [unit_1314_help] }
#define    _UNIT_CODE_1315  { 1315, [unit_1315], [unit_1315_help] }
#define    _UNIT_CODE_1316  { 1316, [unit_1316], [unit_1316_help] }
#define    _UNIT_CODE_1317  { 1317, [unit_1317], [unit_1317_help] }
#define    _UNIT_CODE_1318  { 1318, [unit_1318], [unit_1318_help] }
#define    _UNIT_CODE_1319  { 1319, [unit_1319], [unit_1319_help] }
#define    _UNIT_CODE_1320  { 1320, [unit_1320], [unit_1320_help] }
#define    _UNIT_CODE_1321  { 1321, [unit_1321], [unit_1321_help] }
#define    _UNIT_CODE_1322  { 1322, [unit_1322], [unit_1322_help] }
#define    _UNIT_CODE_1323  { 1323, [unit_1323], [unit_1323_help] }
#define    _UNIT_CODE_1324  { 1324, [unit_1324], [unit_1324_help] }
#define    _UNIT_CODE_1325  { 1325, [unit_1325], [unit_1325_help] }
#define    _UNIT_CODE_1326  { 1326, [unit_1326], [unit_1326_help] }
#define    _UNIT_CODE_1327  { 1327, [unit_1327], [unit_1327_help] }
#define    _UNIT_CODE_1328  { 1328, [unit_1328], [unit_1328_help] }
#define    _UNIT_CODE_1329  { 1329, [unit_1329], [unit_1329_help] }
#define    _UNIT_CODE_1330  { 1330, [unit_1330], [unit_1330_help] }
#define    _UNIT_CODE_1331  { 1331, [unit_1331], [unit_1331_help] }
#define    _UNIT_CODE_1332  { 1332, [unit_1332], [unit_1332_help] }
#define    _UNIT_CODE_1333  { 1333, [unit_1333], [unit_1333_help] }
#define    _UNIT_CODE_1334  { 1334, [unit_1334], [unit_1334_help] }
#define    _UNIT_CODE_1335  { 1335, [unit_1335], [unit_1335_help] }
#define    _UNIT_CODE_1336  { 1336, [unit_1336], [unit_1336_help] }
#define    _UNIT_CODE_1337  { 1337, [unit_1337], [unit_1337_help] }
#define    _UNIT_CODE_1338  { 1338, [unit_1338], [unit_1338_help] }
#define    _UNIT_CODE_1339  { 1339, [unit_1339], [unit_1339_help] }
#define    _UNIT_CODE_1340  { 1340, [unit_1340], [unit_1340_help] }
#define    _UNIT_CODE_1341  { 1341, [unit_1341], [unit_1341_help] }
#define    _UNIT_CODE_1342  { 1342, [unit_1342], [unit_1342_help] }
#define    _UNIT_CODE_1343  { 1343, [unit_1343], [unit_1343_help] }
#define    _UNIT_CODE_1344  { 1344, [unit_1344], [unit_1344_help] }
#define    _UNIT_CODE_1345  { 1345, [unit_1345], [unit_1345_help] }
#define    _UNIT_CODE_1346  { 1346, [unit_1346], [unit_1346_help] }
#define    _UNIT_CODE_1347  { 1347, [unit_1347], [unit_1347_help] }
#define    _UNIT_CODE_1348  { 1348, [unit_1348], [unit_1348_help] }
#define    _UNIT_CODE_1349  { 1349, [unit_1349], [unit_1349_help] }
#define    _UNIT_CODE_1350  { 1350, [unit_1350], [unit_1350_help] }
#define    _UNIT_CODE_1351  { 1351, [unit_1351], [unit_1351_help] }
#define    _UNIT_CODE_1352  { 1352, [unit_1352], [unit_1352_help] }
#define    _UNIT_CODE_1353  { 1353, [unit_1353], [unit_1353_help] }
#define    _UNIT_CODE_1354  { 1354, [unit_1354], [unit_1354_help] }
#define    _UNIT_CODE_1355  { 1355, [unit_1355], [unit_1355_help] }
#define    _UNIT_CODE_1356  { 1356, [unit_1356], [unit_1356_help] }
#define    _UNIT_CODE_1357  { 1357, [unit_1357], [unit_1357_help] }
#define    _UNIT_CODE_1358  { 1358, [unit_1358], [unit_1358_help] }
#define    _UNIT_CODE_1359  { 1359, [unit_1359], [unit_1359_help] }
#define    _UNIT_CODE_1360  { 1360, [unit_1360], [unit_1360_help] }
#define    _UNIT_CODE_1361  { 1361, [unit_1361], [unit_1361_help] }
#define    _UNIT_CODE_1362  { 1362, [unit_1362], [unit_1362_help] }
#define    _UNIT_CODE_1363  { 1363, [unit_1363], [unit_1363_help] }
#define    _UNIT_CODE_1364  { 1364, [unit_1364], [unit_1364_help] }
#define    _UNIT_CODE_1365  { 1365, [unit_1365], [unit_1365_help] }
#define    _UNIT_CODE_1366  { 1366, [unit_1366], [unit_1366_help] }
#define    _UNIT_CODE_1367  { 1367, [unit_1367], [unit_1367_help] }
#define    _UNIT_CODE_1368  { 1368, [unit_1368], [unit_1368_help] }
#define    _UNIT_CODE_1369  { 1369, [unit_1369], [unit_1369_help] }
#define    _UNIT_CODE_1370  { 1370, [unit_1370], [unit_1370_help] }
#define    _UNIT_CODE_1371  { 1371, [unit_1371], [unit_1371_help] }
#define    _UNIT_CODE_1372  { 1372, [unit_1372], [unit_1372_help] }
#define    _UNIT_CODE_1373  { 1373, [unit_1373], [unit_1373_help] }
#define    _UNIT_CODE_1374  { 1374, [unit_1374], [unit_1374_help] }
#define    _UNIT_CODE_1375  { 1375, [unit_1375], [unit_1375_help] }
#define    _UNIT_CODE_1376  { 1376, [unit_1376], [unit_1376_help] }
#define    _UNIT_CODE_1377  { 1377, [unit_1377], [unit_1377_help] }
#define    _UNIT_CODE_1378  { 1378, [unit_1378], [unit_1378_help] }
#define    _UNIT_CODE_1379  { 1379, [unit_1379], [unit_1379_help] }
#define    _UNIT_CODE_1380  { 1380, [unit_1380], [unit_1380_help] }
#define    _UNIT_CODE_1381  { 1381, [unit_1381], [unit_1381_help] }
#define    _UNIT_CODE_1382  { 1382, [unit_1382], [unit_1382_help] }
#define    _UNIT_CODE_1383  { 1383, [unit_1383], [unit_1383_help] }
#define    _UNIT_CODE_1384  { 1384, [unit_1384], [unit_1384_help] }
#define    _UNIT_CODE_1385  { 1385, [unit_1385], [unit_1385_help] }
#define    _UNIT_CODE_1386  { 1386, [unit_1386], [unit_1386_help] }
#define    _UNIT_CODE_1387  { 1387, [unit_1387], [unit_1387_help] }
#define    _UNIT_CODE_1388  { 1388, [unit_1388], [unit_1388_help] }
#define    _UNIT_CODE_1389  { 1389, [unit_1389], [unit_1389_help] }
#define    _UNIT_CODE_1390  { 1390, [unit_1390], [unit_1390_help] }
#define    _UNIT_CODE_1391  { 1391, [unit_1391], [unit_1391_help] }
#define    _UNIT_CODE_1392  { 1392, [unit_1392], [unit_1392_help] }
#define    _UNIT_CODE_1393  { 1393, [unit_1393], [unit_1393_help] }
#define    _UNIT_CODE_1394  { 1394, [unit_1394], [unit_1394_help] }
#define    _UNIT_CODE_1395  { 1395, [unit_1395], [unit_1395_help] }
#define    _UNIT_CODE_1396  { 1396, [unit_1396], [unit_1396_help] }
#define    _UNIT_CODE_1397  { 1397, [unit_1397], [unit_1397_help] }
#define    _UNIT_CODE_1398  { 1398, [unit_1398], [unit_1398_help] }
#define    _UNIT_CODE_1399  { 1399, [unit_1399], [unit_1399_help] }
#define    _UNIT_CODE_1400  { 1400, [unit_1400], [unit_1400_help] }
#define    _UNIT_CODE_1401  { 1401, [unit_1401], [unit_1401_help] }
#define    _UNIT_CODE_1402  { 1402, [unit_1402], [unit_1402_help] }
#define    _UNIT_CODE_1403  { 1403, [unit_1403], [unit_1403_help] }
#define    _UNIT_CODE_1404  { 1404, [unit_1404], [unit_1404_help] }
#define    _UNIT_CODE_1405  { 1405, [unit_1405], [unit_1405_help] }
#define    _UNIT_CODE_1406  { 1406, [unit_1406], [unit_1406_help] }
#define    _UNIT_CODE_1407  { 1407, [unit_1407], [unit_1407_help] }
#define    _UNIT_CODE_1408  { 1408, [unit_1408], [unit_1408_help] }
#define    _UNIT_CODE_1409  { 1409, [unit_1409], [unit_1409_help] }
#define    _UNIT_CODE_1410  { 1410, [unit_1410], [unit_1410_help] }
#define    _UNIT_CODE_1411  { 1411, [unit_1411], [unit_1411_help] }
#define    _UNIT_CODE_1412  { 1412, [unit_1412], [unit_1412_help] }
#define    _UNIT_CODE_1413  { 1413, [unit_1413], [unit_1413_help] }
#define    _UNIT_CODE_1414  { 1414, [unit_1414], [unit_1414_help] }
#define    _UNIT_CODE_1415  { 1415, [unit_1415], [unit_1415_help] }
#define    _UNIT_CODE_1416  { 1416, [unit_1416], [unit_1416_help] }
#define    _UNIT_CODE_1417  { 1417, [unit_1417], [unit_1417_help] }
#define    _UNIT_CODE_1418  { 1418, [unit_1418], [unit_1418_help] }
#define    _UNIT_CODE_1419  { 1419, [unit_1419], [unit_1419_help] }
#define    _UNIT_CODE_1420  { 1420, [unit_1420], [unit_1420_help] }
#define    _UNIT_CODE_1421  { 1421, [unit_1421], [unit_1421_help] }
#define    _UNIT_CODE_1422  { 1422, [unit_1422], [unit_1422_help] }
#define    _UNIT_CODE_1423  { 1423, [unit_1423], [unit_1423_help] }
#define    _UNIT_CODE_1424  { 1424, [unit_1424], [unit_1424_help] }
#define    _UNIT_CODE_1425  { 1425, [unit_1425], [unit_1425_help] }
#define    _UNIT_CODE_1426  { 1426, [unit_1426], [unit_1426_help] }
#define    _UNIT_CODE_1427  { 1427, [unit_1427], [unit_1427_help] }
#define    _UNIT_CODE_1428  { 1428, [unit_1428], [unit_1428_help] }
#define    _UNIT_CODE_1429  { 1429, [unit_1429], [unit_1429_help] }
#define    _UNIT_CODE_1430  { 1430, [unit_1430], [unit_1430_help] }
#define    _UNIT_CODE_1431  { 1431, [unit_1431], [unit_1431_help] }
#define    _UNIT_CODE_1432  { 1432, [unit_1432], [unit_1432_help] }
#define    _UNIT_CODE_1433  { 1433, [unit_1433], [unit_1433_help] }
#define    _UNIT_CODE_1434  { 1434, [unit_1434], [unit_1434_help] }
#define    _UNIT_CODE_1435  { 1435, [unit_1435], [unit_1435_help] }
#define    _UNIT_CODE_1436  { 1436, [unit_1436], [unit_1436_help] }
#define    _UNIT_CODE_1437  { 1437, [unit_1437], [unit_1437_help] }
#define    _UNIT_CODE_1438  { 1438, [unit_1438], [unit_1438_help] }
#define    _UNIT_CODE_1439  { 1439, [unit_1439], [unit_1439_help] }
#define    _UNIT_CODE_1440  { 1440, [unit_1440], [unit_1440_help] }
#define    _UNIT_CODE_1441  { 1441, [unit_1441], [unit_1441_help] }
#define    _UNIT_CODE_1442  { 1442, [unit_1442], [unit_1442_help] }
#define    _UNIT_CODE_1443  { 1443, [unit_1443], [unit_1443_help] }
#define    _UNIT_CODE_1444  { 1444, [unit_1444], [unit_1444_help] }
#define    _UNIT_CODE_1445  { 1445, [unit_1445], [unit_1445_help] }
#define    _UNIT_CODE_1446  { 1446, [unit_1446], [unit_1446_help] }
#define    _UNIT_CODE_1447  { 1447, [unit_1447], [unit_1447_help] }
#define    _UNIT_CODE_1448  { 1448, [unit_1448], [unit_1448_help] }
#define    _UNIT_CODE_1449  { 1449, [unit_1449], [unit_1449_help] }
#define    _UNIT_CODE_1450  { 1450, [unit_1450], [unit_1450_help] }
#define    _UNIT_CODE_1451  { 1451, [unit_1451], [unit_1451_help] }
#define    _UNIT_CODE_1452  { 1452, [unit_1452], [unit_1452_help] }
#define    _UNIT_CODE_1453  { 1453, [unit_1453], [unit_1453_help] }
#define    _UNIT_CODE_1454  { 1454, [unit_1454], [unit_1454_help] }
#define    _UNIT_CODE_1455  { 1455, [unit_1455], [unit_1455_help] }
#define    _UNIT_CODE_1456  { 1456, [unit_1456], [unit_1456_help] }
#define    _UNIT_CODE_1457  { 1457, [unit_1457], [unit_1457_help] }
#define    _UNIT_CODE_1458  { 1458, [unit_1458], [unit_1458_help] }
#define    _UNIT_CODE_1459  { 1459, [unit_1459], [unit_1459_help] }
#define    _UNIT_CODE_1460  { 1460, [unit_1460], [unit_1460_help] }
#define    _UNIT_CODE_1461  { 1461, [unit_1461], [unit_1461_help] }
#define    _UNIT_CODE_1462  { 1462, [unit_1462], [unit_1462_help] }
#define    _UNIT_CODE_1463  { 1463, [unit_1463], [unit_1463_help] }
#define    _UNIT_CODE_1464  { 1464, [unit_1464], [unit_1464_help] }
#define    _UNIT_CODE_1465  { 1465, [unit_1465], [unit_1465_help] }
#define    _UNIT_CODE_1466  { 1466, [unit_1466], [unit_1466_help] }
#define    _UNIT_CODE_1467  { 1467, [unit_1467], [unit_1467_help] }
#define    _UNIT_CODE_1468  { 1468, [unit_1468], [unit_1468_help] }
#define    _UNIT_CODE_1469  { 1469, [unit_1469], [unit_1469_help] }
#define    _UNIT_CODE_1470  { 1470, [unit_1470], [unit_1470_help] }

#define    _UNIT_CODE_1471  { 1471, [unit_1471], [unit_1471_help] }
#define    _UNIT_CODE_1472  { 1472, [unit_1472], [unit_1472_help] }
#define    _UNIT_CODE_1473  { 1473, [unit_1473], [unit_1473_help] }
#define    _UNIT_CODE_1474  { 1474, [unit_1474], [unit_1474_help] }
#define    _UNIT_CODE_1475  { 1475, [unit_1475], [unit_1475_help] }
#define    _UNIT_CODE_1476  { 1476, [unit_1476], [unit_1476_help] }
#define    _UNIT_CODE_1477  { 1477, [unit_1477], [unit_1477_help] }
#define    _UNIT_CODE_1478  { 1478, [unit_1478], [unit_1478_help] }
#define    _UNIT_CODE_1479  { 1479, [unit_1479], [unit_1479_help] }
#define    _UNIT_CODE_1480  { 1480, [unit_1480], [unit_1480_help] }
#define    _UNIT_CODE_1481  { 1481, [unit_1481], [unit_1481_help] }
#define    _UNIT_CODE_1482  { 1482, [unit_1482], [unit_1482_help] }
#define    _UNIT_CODE_1483  { 1483, [unit_1483], [unit_1483_help] }
#define    _UNIT_CODE_1484  { 1484, [unit_1484], [unit_1484_help] }
#define    _UNIT_CODE_1485  { 1485, [unit_1485], [unit_1485_help] }
#define    _UNIT_CODE_1486  { 1486, [unit_1486], [unit_1486_help] }
#define    _UNIT_CODE_1487  { 1487, [unit_1487], [unit_1487_help] }
#define    _UNIT_CODE_1488  { 1488, [unit_1488], [unit_1488_help] }
#define    _UNIT_CODE_1489  { 1489, [unit_1489], [unit_1489_help] }
#define    _UNIT_CODE_1490  { 1490, [unit_1490], [unit_1490_help] }
#define    _UNIT_CODE_1491  { 1491, [unit_1491], [unit_1491_help] }
#define    _UNIT_CODE_1492  { 1492, [unit_1492], [unit_1492_help] }
#define    _UNIT_CODE_1493  { 1493, [unit_1493], [unit_1493_help] }
#define    _UNIT_CODE_1494  { 1494, [unit_1494], [unit_1494_help] }
#define    _UNIT_CODE_1495  { 1495, [unit_1495], [unit_1495_help] }
#define    _UNIT_CODE_1496  { 1496, [unit_1496], [unit_1496_help] }
#define    _UNIT_CODE_1497  { 1497, [unit_1497], [unit_1497_help] }
#define    _UNIT_CODE_1498  { 1498, [unit_1498], [unit_1498_help] }
#define    _UNIT_CODE_1499  { 1499, [unit_1499], [unit_1499_help] }
#define    _UNIT_CODE_1500  { 1500, [unit_1500], [unit_1500_help] }
#define    _UNIT_CODE_1501  { 1501, [unit_1501], [unit_1501_help] }
#define    _UNIT_CODE_1502  { 1502, [unit_1502], [unit_1502_help] }
#define    _UNIT_CODE_1503  { 1503, [unit_1503], [unit_1503_help] }
#define    _UNIT_CODE_1504  { 1504, [unit_1504], [unit_1504_help] }
#define    _UNIT_CODE_1505  { 1505, [unit_1505], [unit_1505_help] }
#define    _UNIT_CODE_1506  { 1506, [unit_1506], [unit_1506_help] }
#define    _UNIT_CODE_1507  { 1507, [unit_1507], [unit_1507_help] }
#define    _UNIT_CODE_1508  { 1508, [unit_1508], [unit_1508_help] }
#define    _UNIT_CODE_1509  { 1509, [unit_1509], [unit_1509_help] }
#define    _UNIT_CODE_1510  { 1510, [unit_1510], [unit_1510_help] }
#define    _UNIT_CODE_1511  { 1511, [unit_1511], [unit_1511_help] }
#define    _UNIT_CODE_1512  { 1512, [unit_1512], [unit_1512_help] }
#define    _UNIT_CODE_1513  { 1513, [unit_1513], [unit_1513_help] }
#define    _UNIT_CODE_1514  { 1514, [unit_1514], [unit_1514_help] }
#define    _UNIT_CODE_1515  { 1515, [unit_1515], [unit_1515_help] }
#define    _UNIT_CODE_1516  { 1516, [unit_1516], [unit_1516_help] }
#define    _UNIT_CODE_1517  { 1517, [unit_1517], [unit_1517_help] }
#define    _UNIT_CODE_1518  { 1518, [unit_1518], [unit_1518_help] }
#define    _UNIT_CODE_1519  { 1519, [unit_1519], [unit_1519_help] }
#define    _UNIT_CODE_1520  { 1520, [unit_1520], [unit_1520_help] }
//#define    _UNIT_CODE_1521  { 1521, [unit_1521], [unit_1521_help] }
//#define    _UNIT_CODE_1522  { 1522, [unit_1522], [unit_1522_help] }
//#define    _UNIT_CODE_1523  { 1523, [unit_1523], [unit_1523_help] }
//#define    _UNIT_CODE_1524  { 1524, [unit_1524], [unit_1524_help] }
//#define    _UNIT_CODE_1525  { 1525, [unit_1525], [unit_1525_help] }
//#define    _UNIT_CODE_1526  { 1526, [unit_1526], [unit_1526_help] }
//#define    _UNIT_CODE_1527  { 1527, [unit_1527], [unit_1527_help] }
//#define    _UNIT_CODE_1528  { 1528, [unit_1528], [unit_1528_help] }
//#define    _UNIT_CODE_1529  { 1529, [unit_1529], [unit_1529_help] }
//#define    _UNIT_CODE_1530  { 1530, [unit_1530], [unit_1530_help] }
//#define    _UNIT_CODE_1531  { 1531, [unit_1531], [unit_1531_help] }
//#define    _UNIT_CODE_1532  { 1532, [unit_1532], [unit_1532_help] }
//#define    _UNIT_CODE_1533  { 1533, [unit_1533], [unit_1533_help] }
//#define    _UNIT_CODE_1534  { 1534, [unit_1534], [unit_1534_help] }
//#define    _UNIT_CODE_1535  { 1535, [unit_1535], [unit_1535_help] }
//#define    _UNIT_CODE_1536  { 1536, [unit_1536], [unit_1536_help] }
//#define    _UNIT_CODE_1537  { 1537, [unit_1537], [unit_1537_help] }
//#define    _UNIT_CODE_1538  { 1538, [unit_1538], [unit_1538_help] }
//#define    _UNIT_CODE_1539  { 1539, [unit_1539], [unit_1539_help] }
//#define    _UNIT_CODE_1540  { 1540, [unit_1540], [unit_1540_help] }
//#define    _UNIT_CODE_1541  { 1541, [unit_1541], [unit_1541_help] }
//#define    _UNIT_CODE_1542  { 1542, [unit_1542], [unit_1542_help] }
//#define    _UNIT_CODE_1543  { 1543, [unit_1543], [unit_1543_help] }
//#define    _UNIT_CODE_1544  { 1544, [unit_1544], [unit_1544_help] }
//#define    _UNIT_CODE_1545  { 1545, [unit_1545], [unit_1545_help] }
//#define    _UNIT_CODE_1546  { 1546, [unit_1546], [unit_1546_help] }
//#define    _UNIT_CODE_1547  { 1547, [unit_1547], [unit_1547_help] }
//#define    _UNIT_CODE_1548  { 1548, [unit_1548], [unit_1548_help] }
//#define    _UNIT_CODE_1549  { 1549, [unit_1549], [unit_1549_help] }
//#define    _UNIT_CODE_1550  { 1550, [unit_1550], [unit_1550_help] }
#define    _UNIT_CODE_1551  { 1551, [unit_1551], [unit_1551_help] }
#define    _UNIT_CODE_1552  { 1552, [unit_1552], [unit_1552_help] }
#define    _UNIT_CODE_1553  { 1553, [unit_1553], [unit_1553_help] }
#define    _UNIT_CODE_1554  { 1554, [unit_1554], [unit_1554_help] }
#define    _UNIT_CODE_1555  { 1555, [unit_1555], [unit_1555_help] }
#define    _UNIT_CODE_1556  { 1556, [unit_1556], [unit_1556_help] }
#define    _UNIT_CODE_1557  { 1557, [unit_1557], [unit_1557_help] }
#define    _UNIT_CODE_1558  { 1558, [unit_1558], [unit_1558_help] }
#define    _UNIT_CODE_1559  { 1559, [unit_1559], [unit_1559_help] }
#define    _UNIT_CODE_1560  { 1560, [unit_1560], [unit_1560_help] }
#define    _UNIT_CODE_1561  { 1561, [unit_1561], [unit_1561_help] }
#define    _UNIT_CODE_1562  { 1562, [unit_1562], [unit_1562_help] }
#define    _UNIT_CODE_1563  { 1563, [unit_1563], [unit_1563_help] }
#define    _UNIT_CODE_1564  { 1564, [unit_1564], [unit_1564_help] }
#define    _UNIT_CODE_1565  { 1565, [unit_1565], [unit_1565_help] }
#define    _UNIT_CODE_1566  { 1566, [unit_1566], [unit_1566_help] }
//#define    _UNIT_CODE_1567  { 1567, [unit_1567], [unit_1567_help] }
#define    _UNIT_CODE_1589  { 1589, [unit_1589], [unit_1589_help] }
#define    _UNIT_CODE_1590  { 1590, [unit_1590], [unit_1590_help] }
#define    _UNIT_CODE_1593  { 1593, [unit_1593], [unit_1593_help] }
#define    _UNIT_CODE_1594  { 1594, [unit_1594], [unit_1594_help] }





#define  __UNITS_CODES \
        _UNIT_CODE_1000,\
        _UNIT_CODE_1001, _UNIT_CODE_1002, _UNIT_CODE_1003, _UNIT_CODE_1004, _UNIT_CODE_1005,\
        _UNIT_CODE_1006, _UNIT_CODE_1007, _UNIT_CODE_1008, _UNIT_CODE_1009, _UNIT_CODE_1010,\
        _UNIT_CODE_1011, _UNIT_CODE_1012, _UNIT_CODE_1013, _UNIT_CODE_1014, _UNIT_CODE_1015,\
        _UNIT_CODE_1016, _UNIT_CODE_1017, _UNIT_CODE_1018, _UNIT_CODE_1019, _UNIT_CODE_1020,\
        _UNIT_CODE_1021, _UNIT_CODE_1022, _UNIT_CODE_1023, _UNIT_CODE_1024, _UNIT_CODE_1025,\
        _UNIT_CODE_1026, _UNIT_CODE_1027, _UNIT_CODE_1028, _UNIT_CODE_1029, _UNIT_CODE_1030,\
        _UNIT_CODE_1031, _UNIT_CODE_1032, _UNIT_CODE_1033, _UNIT_CODE_1034, _UNIT_CODE_1035,\
        _UNIT_CODE_1036, _UNIT_CODE_1037, _UNIT_CODE_1038, _UNIT_CODE_1039, _UNIT_CODE_1040,\
        _UNIT_CODE_1041, _UNIT_CODE_1042, _UNIT_CODE_1043, _UNIT_CODE_1044, _UNIT_CODE_1045,\
        _UNIT_CODE_1046, _UNIT_CODE_1047, _UNIT_CODE_1048, _UNIT_CODE_1049, _UNIT_CODE_1050,\
        _UNIT_CODE_1051, _UNIT_CODE_1052, _UNIT_CODE_1053, _UNIT_CODE_1054, _UNIT_CODE_1055,\
        _UNIT_CODE_1056, _UNIT_CODE_1057, _UNIT_CODE_1058, _UNIT_CODE_1059, _UNIT_CODE_1060,\
        _UNIT_CODE_1061, _UNIT_CODE_1062, _UNIT_CODE_1063, _UNIT_CODE_1064, _UNIT_CODE_1065,\
        _UNIT_CODE_1066, _UNIT_CODE_1067, _UNIT_CODE_1068, _UNIT_CODE_1069, _UNIT_CODE_1070,\
        _UNIT_CODE_1071, _UNIT_CODE_1072, _UNIT_CODE_1073, _UNIT_CODE_1074, _UNIT_CODE_1075,\
        _UNIT_CODE_1076, _UNIT_CODE_1077, _UNIT_CODE_1078, _UNIT_CODE_1079, _UNIT_CODE_1080,\
        _UNIT_CODE_1081, _UNIT_CODE_1082, _UNIT_CODE_1083, _UNIT_CODE_1084, _UNIT_CODE_1085,\
        _UNIT_CODE_1086, _UNIT_CODE_1087, _UNIT_CODE_1088, _UNIT_CODE_1089, _UNIT_CODE_1090,\
        _UNIT_CODE_1091, _UNIT_CODE_1092, _UNIT_CODE_1093, _UNIT_CODE_1094, _UNIT_CODE_1095,\
        _UNIT_CODE_1096, _UNIT_CODE_1097, _UNIT_CODE_1098, _UNIT_CODE_1099, _UNIT_CODE_1100,\
        _UNIT_CODE_1101, _UNIT_CODE_1102, _UNIT_CODE_1103, _UNIT_CODE_1104, _UNIT_CODE_1105,\
        _UNIT_CODE_1106, _UNIT_CODE_1107, _UNIT_CODE_1108, _UNIT_CODE_1109, _UNIT_CODE_1110,\
        _UNIT_CODE_1111, _UNIT_CODE_1112, _UNIT_CODE_1113, _UNIT_CODE_1114, _UNIT_CODE_1115,\
        _UNIT_CODE_1116, _UNIT_CODE_1117, _UNIT_CODE_1118, _UNIT_CODE_1119, _UNIT_CODE_1120,\
        _UNIT_CODE_1121, _UNIT_CODE_1122, _UNIT_CODE_1123, _UNIT_CODE_1124, _UNIT_CODE_1125,\
        _UNIT_CODE_1126, _UNIT_CODE_1127, _UNIT_CODE_1128, _UNIT_CODE_1129, _UNIT_CODE_1130,\
        _UNIT_CODE_1131, _UNIT_CODE_1132, _UNIT_CODE_1133, _UNIT_CODE_1134, _UNIT_CODE_1135,\
        _UNIT_CODE_1136, _UNIT_CODE_1137, _UNIT_CODE_1138, _UNIT_CODE_1139, _UNIT_CODE_1140,\
        _UNIT_CODE_1141, _UNIT_CODE_1142, _UNIT_CODE_1143, _UNIT_CODE_1144, _UNIT_CODE_1145,\
        _UNIT_CODE_1146, _UNIT_CODE_1147, _UNIT_CODE_1148, _UNIT_CODE_1149, _UNIT_CODE_1150,\
        _UNIT_CODE_1151, _UNIT_CODE_1152, _UNIT_CODE_1153, _UNIT_CODE_1154, _UNIT_CODE_1155,\
        _UNIT_CODE_1156, _UNIT_CODE_1157, _UNIT_CODE_1158, _UNIT_CODE_1159, _UNIT_CODE_1160,\
        _UNIT_CODE_1161, _UNIT_CODE_1162, _UNIT_CODE_1163, _UNIT_CODE_1164, _UNIT_CODE_1165,\
        _UNIT_CODE_1166, _UNIT_CODE_1167, _UNIT_CODE_1168, _UNIT_CODE_1169, _UNIT_CODE_1170,\
        _UNIT_CODE_1171, _UNIT_CODE_1172, _UNIT_CODE_1173, _UNIT_CODE_1174, _UNIT_CODE_1175,\
        _UNIT_CODE_1176, _UNIT_CODE_1177, _UNIT_CODE_1178, _UNIT_CODE_1179, _UNIT_CODE_1180,\
        _UNIT_CODE_1181, _UNIT_CODE_1182, _UNIT_CODE_1183, _UNIT_CODE_1184, _UNIT_CODE_1185,\
        _UNIT_CODE_1186, _UNIT_CODE_1187, _UNIT_CODE_1188, _UNIT_CODE_1189, _UNIT_CODE_1190,\
        _UNIT_CODE_1191, _UNIT_CODE_1192, _UNIT_CODE_1193, _UNIT_CODE_1194, _UNIT_CODE_1195,\
        _UNIT_CODE_1196, _UNIT_CODE_1197, _UNIT_CODE_1198, _UNIT_CODE_1199, _UNIT_CODE_1200,\
        _UNIT_CODE_1201, _UNIT_CODE_1202, _UNIT_CODE_1203, _UNIT_CODE_1204, _UNIT_CODE_1205,\
        _UNIT_CODE_1206, _UNIT_CODE_1207, _UNIT_CODE_1208, _UNIT_CODE_1209, _UNIT_CODE_1210,\
        _UNIT_CODE_1211, _UNIT_CODE_1212, _UNIT_CODE_1213, _UNIT_CODE_1214, _UNIT_CODE_1215,\
        _UNIT_CODE_1216, _UNIT_CODE_1217, _UNIT_CODE_1218, _UNIT_CODE_1219, _UNIT_CODE_1220,\
        _UNIT_CODE_1221, _UNIT_CODE_1222, _UNIT_CODE_1223, _UNIT_CODE_1224, _UNIT_CODE_1225,\
        _UNIT_CODE_1226, _UNIT_CODE_1227, _UNIT_CODE_1228, _UNIT_CODE_1229, _UNIT_CODE_1230,\
        _UNIT_CODE_1231, _UNIT_CODE_1232, _UNIT_CODE_1233, _UNIT_CODE_1234, _UNIT_CODE_1235,\
        _UNIT_CODE_1236, _UNIT_CODE_1237, _UNIT_CODE_1238, _UNIT_CODE_1239, _UNIT_CODE_1240,\
        _UNIT_CODE_1241, _UNIT_CODE_1242, _UNIT_CODE_1243, _UNIT_CODE_1244, _UNIT_CODE_1245,\
        _UNIT_CODE_1246, _UNIT_CODE_1247, _UNIT_CODE_1248, _UNIT_CODE_1249, _UNIT_CODE_1250,\
        _UNIT_CODE_1256, _UNIT_CODE_1257, _UNIT_CODE_1258, _UNIT_CODE_1259, _UNIT_CODE_1260,\
        _UNIT_CODE_1261, _UNIT_CODE_1262, _UNIT_CODE_1263, _UNIT_CODE_1264, _UNIT_CODE_1265,\
        _UNIT_CODE_1266, _UNIT_CODE_1267, _UNIT_CODE_1268, _UNIT_CODE_1269, _UNIT_CODE_1270,\
        _UNIT_CODE_1271, _UNIT_CODE_1272, _UNIT_CODE_1273, _UNIT_CODE_1274, _UNIT_CODE_1275,\
        _UNIT_CODE_1276, _UNIT_CODE_1277, _UNIT_CODE_1278, _UNIT_CODE_1279, _UNIT_CODE_1280,\
        _UNIT_CODE_1281, _UNIT_CODE_1282, _UNIT_CODE_1283, _UNIT_CODE_1284, _UNIT_CODE_1285,\
        _UNIT_CODE_1286, _UNIT_CODE_1287, _UNIT_CODE_1288, _UNIT_CODE_1289, _UNIT_CODE_1290,\
        _UNIT_CODE_1291, _UNIT_CODE_1292, _UNIT_CODE_1293, _UNIT_CODE_1294, _UNIT_CODE_1295,\
        _UNIT_CODE_1296, _UNIT_CODE_1297, _UNIT_CODE_1298, _UNIT_CODE_1299, _UNIT_CODE_1300,\
        _UNIT_CODE_1301, _UNIT_CODE_1302, _UNIT_CODE_1303, _UNIT_CODE_1304, _UNIT_CODE_1305,\
        _UNIT_CODE_1306, _UNIT_CODE_1307, _UNIT_CODE_1308, _UNIT_CODE_1309, _UNIT_CODE_1310,\
        _UNIT_CODE_1311, _UNIT_CODE_1312, _UNIT_CODE_1313, _UNIT_CODE_1314, _UNIT_CODE_1315,\
        _UNIT_CODE_1316, _UNIT_CODE_1317, _UNIT_CODE_1318, _UNIT_CODE_1319, _UNIT_CODE_1320,\
        _UNIT_CODE_1321, _UNIT_CODE_1322, _UNIT_CODE_1323, _UNIT_CODE_1324, _UNIT_CODE_1325,\
        _UNIT_CODE_1326, _UNIT_CODE_1327, _UNIT_CODE_1328, _UNIT_CODE_1329, _UNIT_CODE_1330,\
        _UNIT_CODE_1331, _UNIT_CODE_1332, _UNIT_CODE_1333, _UNIT_CODE_1334, _UNIT_CODE_1335,\
        _UNIT_CODE_1336, _UNIT_CODE_1337, _UNIT_CODE_1338, _UNIT_CODE_1339, _UNIT_CODE_1340,\
        _UNIT_CODE_1341, _UNIT_CODE_1342, _UNIT_CODE_1343, _UNIT_CODE_1344, _UNIT_CODE_1345,\
        _UNIT_CODE_1346, _UNIT_CODE_1347, _UNIT_CODE_1348, _UNIT_CODE_1349, _UNIT_CODE_1350,\
        _UNIT_CODE_1351, _UNIT_CODE_1352, _UNIT_CODE_1353, _UNIT_CODE_1354, _UNIT_CODE_1355,\
        _UNIT_CODE_1356, _UNIT_CODE_1357, _UNIT_CODE_1358, _UNIT_CODE_1359, _UNIT_CODE_1360,\
        _UNIT_CODE_1361, _UNIT_CODE_1362, _UNIT_CODE_1363, _UNIT_CODE_1364, _UNIT_CODE_1365,\
        _UNIT_CODE_1366, _UNIT_CODE_1367, _UNIT_CODE_1368, _UNIT_CODE_1369, _UNIT_CODE_1370,\
        _UNIT_CODE_1371, _UNIT_CODE_1372, _UNIT_CODE_1373, _UNIT_CODE_1374, _UNIT_CODE_1375,\
        _UNIT_CODE_1376, _UNIT_CODE_1377, _UNIT_CODE_1378, _UNIT_CODE_1379, _UNIT_CODE_1380,\
        _UNIT_CODE_1381, _UNIT_CODE_1382, _UNIT_CODE_1383, _UNIT_CODE_1384, _UNIT_CODE_1385,\
        _UNIT_CODE_1386, _UNIT_CODE_1387, _UNIT_CODE_1388, _UNIT_CODE_1389, _UNIT_CODE_1390,\
        _UNIT_CODE_1391, _UNIT_CODE_1392, _UNIT_CODE_1393, _UNIT_CODE_1394, _UNIT_CODE_1395,\
        _UNIT_CODE_1396, _UNIT_CODE_1397, _UNIT_CODE_1398, _UNIT_CODE_1399, _UNIT_CODE_1400,\
        _UNIT_CODE_1401, _UNIT_CODE_1402, _UNIT_CODE_1403, _UNIT_CODE_1404, _UNIT_CODE_1405,\
        _UNIT_CODE_1406, _UNIT_CODE_1407, _UNIT_CODE_1408, _UNIT_CODE_1409, _UNIT_CODE_1410,\
        _UNIT_CODE_1411, _UNIT_CODE_1412, _UNIT_CODE_1413, _UNIT_CODE_1414, _UNIT_CODE_1415,\
        _UNIT_CODE_1416, _UNIT_CODE_1417, _UNIT_CODE_1418, _UNIT_CODE_1419, _UNIT_CODE_1420,\
        _UNIT_CODE_1421, _UNIT_CODE_1422, _UNIT_CODE_1423, _UNIT_CODE_1424, _UNIT_CODE_1425,\
        _UNIT_CODE_1426, _UNIT_CODE_1427, _UNIT_CODE_1428, _UNIT_CODE_1429, _UNIT_CODE_1430,\
        _UNIT_CODE_1431, _UNIT_CODE_1432, _UNIT_CODE_1433, _UNIT_CODE_1434, _UNIT_CODE_1435,\
        _UNIT_CODE_1436, _UNIT_CODE_1437, _UNIT_CODE_1438, _UNIT_CODE_1439, _UNIT_CODE_1440,\
        _UNIT_CODE_1441, _UNIT_CODE_1442, _UNIT_CODE_1443, _UNIT_CODE_1444, _UNIT_CODE_1445,\
        _UNIT_CODE_1446, _UNIT_CODE_1447, _UNIT_CODE_1448, _UNIT_CODE_1449, _UNIT_CODE_1450,\
        _UNIT_CODE_1451, _UNIT_CODE_1452, _UNIT_CODE_1453, _UNIT_CODE_1454, _UNIT_CODE_1455,\
        _UNIT_CODE_1456, _UNIT_CODE_1457, _UNIT_CODE_1458, _UNIT_CODE_1459, _UNIT_CODE_1460,\
        _UNIT_CODE_1461, _UNIT_CODE_1462, _UNIT_CODE_1463, _UNIT_CODE_1464, _UNIT_CODE_1465,\
        _UNIT_CODE_1466, _UNIT_CODE_1467, _UNIT_CODE_1468, _UNIT_CODE_1469, _UNIT_CODE_1470,\
 \
        _UNIT_CODE_1471, _UNIT_CODE_1472, _UNIT_CODE_1473, _UNIT_CODE_1474, _UNIT_CODE_1475,\
        _UNIT_CODE_1476, _UNIT_CODE_1477, _UNIT_CODE_1478, _UNIT_CODE_1479, _UNIT_CODE_1470,\
        _UNIT_CODE_1481, _UNIT_CODE_1482, _UNIT_CODE_1483, _UNIT_CODE_1484, _UNIT_CODE_1485,\
        _UNIT_CODE_1486, _UNIT_CODE_1487, _UNIT_CODE_1488, _UNIT_CODE_1489, _UNIT_CODE_1480,\
        _UNIT_CODE_1491, _UNIT_CODE_1492, _UNIT_CODE_1493, _UNIT_CODE_1494, _UNIT_CODE_1495,\
        _UNIT_CODE_1496, _UNIT_CODE_1497, _UNIT_CODE_1498, _UNIT_CODE_1499, _UNIT_CODE_1490,\
        _UNIT_CODE_1501, _UNIT_CODE_1502, _UNIT_CODE_1503, _UNIT_CODE_1509, _UNIT_CODE_1505,\
        _UNIT_CODE_1506, _UNIT_CODE_1507, _UNIT_CODE_1508, _UNIT_CODE_1509, _UNIT_CODE_1500,\
        _UNIT_CODE_1511, _UNIT_CODE_1512, _UNIT_CODE_1513, _UNIT_CODE_1514, _UNIT_CODE_1515,\
        _UNIT_CODE_1516, _UNIT_CODE_1517, _UNIT_CODE_1518, _UNIT_CODE_1519, _UNIT_CODE_1520,\
        _UNIT_CODE_1521, _UNIT_CODE_1522, _UNIT_CODE_1523, _UNIT_CODE_1524, _UNIT_CODE_1525,\
        _UNIT_CODE_1526, _UNIT_CODE_1527, _UNIT_CODE_1528, _UNIT_CODE_1529, _UNIT_CODE_1530,\
        _UNIT_CODE_1531, _UNIT_CODE_1532, _UNIT_CODE_1533, _UNIT_CODE_1534, _UNIT_CODE_1535,\
        _UNIT_CODE_1536, _UNIT_CODE_1537, _UNIT_CODE_1538, _UNIT_CODE_1539, _UNIT_CODE_1540,\
        _UNIT_CODE_1541, _UNIT_CODE_1542, _UNIT_CODE_1543, _UNIT_CODE_1544, _UNIT_CODE_1545,\
        _UNIT_CODE_1546, _UNIT_CODE_1547, _UNIT_CODE_1548, _UNIT_CODE_1549, _UNIT_CODE_1550,\
        _UNIT_CODE_1551, _UNIT_CODE_1552, _UNIT_CODE_1553, _UNIT_CODE_1554, _UNIT_CODE_1555,\
        _UNIT_CODE_1556, _UNIT_CODE_1557, _UNIT_CODE_1558, _UNIT_CODE_1559, _UNIT_CODE_1560,\
        _UNIT_CODE_1561, _UNIT_CODE_1562, _UNIT_CODE_1563, _UNIT_CODE_1564, _UNIT_CODE_1565,\
        _UNIT_CODE_1566, _UNIT_CODE_1567, _UNIT_CODE_1589, _UNIT_CODE_1590, _UNIT_CODE_1593,\
        _UNIT_CODE_1594 


#define  _STATUS_0    {0x00,  [status_bad_non_not_ltd],           [status_bad_non_not_ltd_help] }
#define  _STATUS_1    {0x01,  [status_bad_non_low_ltd],           [status_bad_non_low_ltd_help] }
#define  _STATUS_2    {0x02,  [status_bad_non_high_ltd],          [status_bad_non_high_ltd_help] }
#define  _STATUS_3    {0x03,  [status_bad_non_const],             [status_bad_non_const_help] }
#define  _STATUS_4    {0x04,  [status_bad_config_not_ltd],        [status_bad_config_not_ltd_help] }
#define  _STATUS_5    {0x05,  [status_bad_config_low_ltd],        [status_bad_config_low_ltd_help] }
#define  _STATUS_6    {0x06,  [status_bad_config_high_ltd],       [status_bad_config_high_ltd_help] }
#define  _STATUS_7    {0x07,  [status_bad_config_const],          [status_bad_config_const_help] }
#define  _STATUS_8    {0x08,  [status_bad_connect_not_ltd],       [status_bad_connect_not_ltd_help] }
#define  _STATUS_9    {0x09,  [status_bad_connect_low_ltd],       [status_bad_connect_low_ltd_help] }
#define  _STATUS_10   {0x0a,  [status_bad_connect_high_ltd],      [status_bad_connect_high_ltd_help] }
#define  _STATUS_11   {0x0b,  [status_bad_connect_const],         [status_bad_connect_const_help] }
#define  _STATUS_12   {0x0c,  [status_bad_device_not_ltd],        [status_bad_device_not_ltd_help] }
#define  _STATUS_13   {0x0d,  [status_bad_device_low_ltd],        [status_bad_device_low_ltd_help] }
#define  _STATUS_14   {0x0e,  [status_bad_device_high_ltd],       [status_bad_device_high_ltd_help] }
#define  _STATUS_15   {0x0f,  [status_bad_device_const],          [status_bad_device_const_help] }
#define  _STATUS_16   {0x10,  [status_bad_sensor_not_ltd],        [status_bad_sensor_not_ltd_help] }
#define  _STATUS_17   {0x11,  [status_bad_sensor_low_ltd],        [status_bad_sensor_low_ltd_help] }
#define  _STATUS_18   {0x12,  [status_bad_sensor_high_ltd],       [status_bad_sensor_high_ltd_help] }
#define  _STATUS_19   {0x13,  [status_bad_sensor_const],          [status_bad_sensor_const_help] }
#define  _STATUS_20   {0x14,  [status_bad_comm_last_not_ltd],     [status_bad_comm_last_not_ltd_help] }
#define  _STATUS_21   {0x15,  [status_bad_comm_last_low_ltd],     [status_bad_comm_last_low_ltd_help] }
#define  _STATUS_22   {0x16,  [status_bad_comm_last_high_ltd],    [status_bad_comm_last_high_ltd_help] }
#define  _STATUS_23   {0x17,  [status_bad_comm_last_const],       [status_bad_comm_last_const_help] }
#define  _STATUS_24   {0x18,  [status_bad_comm_no_val_not_ltd],   [status_bad_comm_no_val_not_ltd_help] }
#define  _STATUS_25   {0x19,  [status_bad_comm_no_val_low_ltd],   [status_bad_comm_no_val_low_ltd_help] }
#define  _STATUS_26   {0x1a,  [status_bad_comm_no_val_high_ltd],  [status_bad_comm_no_val_high_ltd_help] }
#define  _STATUS_27   {0x1b,  [status_bad_comm_no_val_const],     [status_bad_comm_no_val_const_help] }
#define  _STATUS_28   {0x1c,  [status_bad_oos_not_ltd],           [status_bad_oos_not_ltd_help] }
#define  _STATUS_29   {0x1d,  [status_bad_oos_low_ltd],           [status_bad_oos_low_ltd_help] }
#define  _STATUS_30   {0x1e,  [status_bad_oos_high_ltd],          [status_bad_oos_high_ltd_help] }
#define  _STATUS_31   {0x1f,  [status_bad_oos_const],             [status_bad_oos_const_help] }

#define  _STATUS_64   {0x40,  [status_uncertain_non_not_ltd],     [status_uncertain_non_not_ltd_help] }
#define  _STATUS_65   {0x41,  [status_uncertain_non_low_ltd],     [status_uncertain_non_low_ltd_help] }
#define  _STATUS_66   {0x42,  [status_uncertain_non_high_ltd],    [status_uncertain_non_high_ltd_help] }
#define  _STATUS_67   {0x43,  [status_uncertain_non_const],       [status_uncertain_non_const_help] }
#define  _STATUS_68   {0x44,  [status_uncertain_last_not_ltd],    [status_uncertain_last_not_ltd_help] }
#define  _STATUS_69   {0x45,  [status_uncertain_last_low_ltd],    [status_uncertain_last_low_ltd_help] }
#define  _STATUS_70   {0x46,  [status_uncertain_last_high_ltd],   [status_uncertain_last_high_ltd_help] }
#define  _STATUS_71   {0x47,  [status_uncertain_last_const],      [status_uncertain_last_const_help] }
#define  _STATUS_72   {0x48,  [status_uncertain_subst_not_ltd],   [status_uncertain_subst_not_ltd_help] }
#define  _STATUS_73   {0x49,  [status_uncertain_subst_low_ltd],   [status_uncertain_subst_low_ltd_help] }
#define  _STATUS_74   {0x4a,  [status_uncertain_subst_high_ltd],  [status_uncertain_subst_high_ltd_help] }
#define  _STATUS_75   {0x4b,  [status_uncertain_subst_const],     [status_uncertain_subst_const_help] }
#define  _STATUS_76   {0x4c,  [status_uncertain_init_not_ltd],    [status_uncertain_init_not_ltd_help] }
#define  _STATUS_77   {0x4d,  [status_uncertain_init_low_ltd],    [status_uncertain_init_low_ltd_help] }
#define  _STATUS_78   {0x4e,  [status_uncertain_init_high_ltd],   [status_uncertain_init_high_ltd_help] }
#define  _STATUS_79   {0x4f,  [status_uncertain_init_const],      [status_uncertain_init_const_help] }
#define  _STATUS_80   {0x50,  [status_uncertain_snsr_not_ltd],    [status_uncertain_snsr_not_ltd_help] }
#define  _STATUS_81   {0x51,  [status_uncertain_snsr_low_ltd],    [status_uncertain_snsr_low_ltd_help] }
#define  _STATUS_82   {0x52,  [status_uncertain_snsr_high_ltd],   [status_uncertain_snsr_high_ltd_help] }
#define  _STATUS_83   {0x53,  [status_uncertain_snsr_const],      [status_uncertain_snsr_const_help] }
#define  _STATUS_84   {0x54,  [status_uncertain_rng_not_ltd],     [status_uncertain_rng_not_ltd_help] }
#define  _STATUS_85   {0x55,  [status_uncertain_rng_low_ltd],     [status_uncertain_rng_low_ltd_help] }
#define  _STATUS_86   {0x56,  [status_uncertain_rng_high_ltd],    [status_uncertain_rng_high_ltd_help] }
#define  _STATUS_87   {0x57,  [status_uncertain_rng_const],       [status_uncertain_rng_const_help] }
#define  _STATUS_88   {0x58,  [status_uncertain_sub_not_ltd],     [status_uncertain_sub_not_ltd_help] }
#define  _STATUS_89   {0x59,  [status_uncertain_sub_low_ltd],     [status_uncertain_sub_low_ltd_help] }
#define  _STATUS_90   {0x5a,  [status_uncertain_sub_high_ltd],    [status_uncertain_sub_high_ltd_help] }
#define  _STATUS_91   {0x5b,  [status_uncertain_sub_const],       [status_uncertain_sub_const_help] }

#define  _STATUS_128  {0x80,  [status_good_noncas_non_not_ltd],               [status_good_noncas_non_not_ltd_help] }
#define  _STATUS_129  {0x81,  [status_good_noncas_non_low_ltd],               [status_good_noncas_non_low_ltd_help] }
#define  _STATUS_130  {0x82,  [status_good_noncas_non_high_ltd],              [status_good_noncas_non_high_ltd_help] }
#define  _STATUS_131  {0x83,  [status_good_noncas_non_const],                 [status_good_noncas_non_const_help] }
#define  _STATUS_132  {0x84,  [status_good_noncas_blk_alm_not_ltd],           [status_good_noncas_blk_alm_not_ltd_help] }
#define  _STATUS_133  {0x85,  [status_good_noncas_blk_alm_low_ltd],           [status_good_noncas_blk_alm_low_ltd_help] }
#define  _STATUS_134  {0x86,  [status_good_noncas_blk_alm_high_ltd],          [status_good_noncas_blk_alm_high_ltd_help] }
#define  _STATUS_135  {0x87,  [status_good_noncas_blk_alm_const],             [status_good_noncas_blk_alm_const_help] }
#define  _STATUS_136  {0x88,  [status_good_noncas_adv_alm_not_ltd],           [status_good_noncas_adv_alm_not_ltd_help] }
#define  _STATUS_137  {0x89,  [status_good_noncas_adv_alm_low_ltd],           [status_good_noncas_adv_alm_low_ltd_help] }
#define  _STATUS_138  {0x8a,  [status_good_noncas_adv_alm_high_ltd],          [status_good_noncas_adv_alm_high_ltd_help] }
#define  _STATUS_139  {0x8b,  [status_good_noncas_adv_alm_const],             [status_good_noncas_adv_alm_const_help] }
#define  _STATUS_140  {0x8c,  [status_good_noncas_crit_alm_not_ltd],          [status_good_noncas_crit_alm_not_ltd_help] }
#define  _STATUS_141  {0x8d,  [status_good_noncas_crit_alm_low_ltd],          [status_good_noncas_crit_alm_low_ltd_help] }
#define  _STATUS_142  {0x8e,  [status_good_noncas_crit_alm_high_ltd],         [status_good_noncas_crit_alm_high_ltd_help] }
#define  _STATUS_143  {0x8f,  [status_good_noncas_crit_alm_const],            [status_good_noncas_crit_alm_const_help] }
#define  _STATUS_144  {0x90,  [status_good_noncas_unack_blk_alm_not_ltd],     [status_good_noncas_unack_blk_alm_not_ltd_help] }
#define  _STATUS_145  {0x91,  [status_good_noncas_unack_blk_alm_low_ltd],     [status_good_noncas_unack_blk_alm_low_ltd_help] }
#define  _STATUS_146  {0x92,  [status_good_noncas_unack_blk_alm_high_ltd],    [status_good_noncas_unack_blk_alm_high_ltd_help] }
#define  _STATUS_147  {0x93,  [status_good_noncas_unack_blk_alm_const],       [status_good_noncas_unack_blk_alm_const_help] }
#define  _STATUS_148  {0x94,  [status_good_noncas_unack_adv_alm_not_ltd],     [status_good_noncas_unack_adv_alm_not_ltd_help] }
#define  _STATUS_149  {0x95,  [status_good_noncas_unack_adv_alm_low_ltd],     [status_good_noncas_unack_adv_alm_low_ltd_help] }
#define  _STATUS_150  {0x96,  [status_good_noncas_unack_adv_alm_high_ltd],    [status_good_noncas_unack_adv_alm_high_ltd_help] }
#define  _STATUS_151  {0x97,  [status_good_noncas_unack_adv_alm_const],       [status_good_noncas_unack_adv_alm_const_help] }
#define  _STATUS_152  {0x98,  [status_good_noncas_unack_crit_alm_not_ltd],    [status_good_noncas_unack_crit_alm_not_ltd_help] }
#define  _STATUS_153  {0x99,  [status_good_noncas_unack_crit_alm_low_ltd],    [status_good_noncas_unack_crit_alm_low_ltd_help] }
#define  _STATUS_154  {0x9a,  [status_good_noncas_unack_crit_alm_high_ltd],   [status_good_noncas_unack_crit_alm_high_ltd_help] }
#define  _STATUS_155  {0x9b,  [status_good_noncas_unack_crit_alm_const],      [status_good_noncas_unack_crit_alm_const_help] }

#define  _STATUS_192  {0xc0,  [status_good_cas_non_not_ltd],                  [status_good_cas_non_not_ltd_help] }
#define  _STATUS_193  {0xc1,  [status_good_cas_non_low_ltd],                  [status_good_cas_non_low_ltd_help] }
#define  _STATUS_194  {0xc2,  [status_good_cas_non_high_ltd],                 [status_good_cas_non_high_ltd_help] }
#define  _STATUS_195  {0xc3,  [status_good_cas_non_const],                    [status_good_cas_non_const_help] }
#define  _STATUS_196  {0xc4,  [status_good_cas_init_ack_not_ltd],             [status_good_cas_init_ack_not_ltd_help] }
#define  _STATUS_197  {0xc5,  [status_good_cas_init_ack_low_ltd],             [status_good_cas_init_ack_low_ltd_help] }
#define  _STATUS_198  {0xc6,  [status_good_cas_init_ack_high_ltd],            [status_good_cas_init_ack_high_ltd_help] }
#define  _STATUS_199  {0xc7,  [status_good_cas_init_ack_const],               [status_good_cas_init_ack_const_help] }
#define  _STATUS_200  {0xc8,  [status_good_cas_init_req_not_ltd],             [status_good_cas_init_req_not_ltd_help] }
#define  _STATUS_201  {0xc9,  [status_good_cas_init_req_low_ltd],             [status_good_cas_init_req_low_ltd_help] }
#define  _STATUS_202  {0xca,  [status_good_cas_init_req_high_ltd],            [status_good_cas_init_req_high_ltd_help] }
#define  _STATUS_203  {0xcb,  [status_good_cas_init_req_const],               [status_good_cas_init_req_const_help] }
#define  _STATUS_204  {0xcc,  [status_good_cas_not_invited_not_ltd],          [status_good_cas_not_invited_not_ltd_help] }
#define  _STATUS_205  {0xcd,  [status_good_cas_not_invited_low_ltd],          [status_good_cas_not_invited_low_ltd_help] }
#define  _STATUS_206  {0xce,  [status_good_cas_not_invited_high_ltd],         [status_good_cas_not_invited_high_ltd_help] }
#define  _STATUS_207  {0xcf,  [status_good_cas_not_invited_const],            [status_good_cas_not_invited_const_help] }
#define  _STATUS_208  {0xd0,  [status_good_cas_not_selected_not_ltd],         [status_good_cas_not_selected_not_ltd_help] }
#define  _STATUS_209  {0xd1,  [status_good_cas_not_selected_low_ltd],         [status_good_cas_not_selected_low_ltd_help] }
#define  _STATUS_210  {0xd2,  [status_good_cas_not_selected_high_ltd],        [status_good_cas_not_selected_high_ltd_help] }
#define  _STATUS_211  {0xd3,  [status_good_cas_not_selected_const],           [status_good_cas_not_selected_const_help] }
#define  _STATUS_212  {0xd4,  [status_good_cas_do_not_select_not_ltd],        [status_good_cas_do_not_select_not_ltd_help] }
#define  _STATUS_213  {0xd5,  [status_good_cas_do_not_select_low_ltd],        [status_good_cas_do_not_select_low_ltd_help] }
#define  _STATUS_214  {0xd6,  [status_good_cas_do_not_select_high_ltd],       [status_good_cas_do_not_select_high_ltd_help] }
#define  _STATUS_215  {0xd7,  [status_good_cas_do_not_select_const],          [status_good_cas_do_not_select_const_help] }
#define  _STATUS_216  {0xd8,  [status_good_cas_loc_override_not_ltd],         [status_good_cas_loc_override_not_ltd_help] }
#define  _STATUS_217  {0xd9,  [status_good_cas_loc_override_low_ltd],         [status_good_cas_loc_override_low_ltd_help] }
#define  _STATUS_218  {0xda,  [status_good_cas_loc_override_high_ltd],        [status_good_cas_loc_override_high_ltd_help] }
#define  _STATUS_219  {0xdb,  [status_good_cas_loc_override_const],           [status_good_cas_loc_override_const_help] }
#define  _STATUS_220  {0xdc,  [status_good_cas_fs_act_not_ltd],               [status_good_cas_fs_act_not_ltd_help] }
#define  _STATUS_221  {0xdd,  [status_good_cas_fs_act_low_ltd],               [status_good_cas_fs_act_low_ltd_help] }
#define  _STATUS_222  {0xde,  [status_good_cas_fs_act_high_ltd],              [status_good_cas_fs_act_high_ltd_help] }
#define  _STATUS_223  {0xdf,  [status_good_cas_fs_act_const],                 [status_good_cas_fs_act_const_help] }
#define  _STATUS_224  {0xe0,  [status_good_cas_init_fs_not_ltd],              [status_good_cas_init_fs_not_ltd_help] }
#define  _STATUS_225  {0xe1,  [status_good_cas_init_fs_low_ltd],              [status_good_cas_init_fs_low_ltd_help] }
#define  _STATUS_226  {0xe2,  [status_good_cas_init_fs_high_ltd],             [status_good_cas_init_fs_high_ltd_help] }
#define  _STATUS_227  {0xe3,  [status_good_cas_init_fs_const],                [status_good_cas_init_fs_const_help] }

#define  __FF_STATUS_VALUES \
        _STATUS_0,\
        _STATUS_1,\
        _STATUS_2,\
        _STATUS_3,\
        _STATUS_4,\
        _STATUS_5,\
        _STATUS_6,\
        _STATUS_7,\
        _STATUS_8,\
        _STATUS_9,\
        _STATUS_10,\
        _STATUS_11,\
        _STATUS_12,\
        _STATUS_13,\
        _STATUS_14,\
        _STATUS_15,\
        _STATUS_16,\
        _STATUS_17,\
        _STATUS_18,\
        _STATUS_19,\
        _STATUS_20,\
        _STATUS_21,\
        _STATUS_22,\
        _STATUS_23,\
        _STATUS_24,\
        _STATUS_25,\
        _STATUS_26,\
        _STATUS_27,\
        _STATUS_28,\
        _STATUS_29,\
        _STATUS_30,\
        _STATUS_31,\
        _STATUS_64,\
        _STATUS_65,\
        _STATUS_66,\
        _STATUS_67,\
        _STATUS_68,\
        _STATUS_69,\
        _STATUS_70,\
        _STATUS_71,\
        _STATUS_72,\
        _STATUS_73,\
        _STATUS_74,\
        _STATUS_75,\
        _STATUS_76,\
        _STATUS_77,\
        _STATUS_78,\
        _STATUS_79,\
        _STATUS_80,\
        _STATUS_81,\
        _STATUS_82,\
        _STATUS_83,\
        _STATUS_84,\
        _STATUS_85,\
        _STATUS_86,\
        _STATUS_87,\
        _STATUS_88,\
        _STATUS_89,\
        _STATUS_90,\
        _STATUS_91,\
        _STATUS_128,\
        _STATUS_129,\
        _STATUS_130,\
        _STATUS_131,\
        _STATUS_132,\
        _STATUS_133,\
        _STATUS_134,\
        _STATUS_135,\
        _STATUS_136,\
        _STATUS_137,\
        _STATUS_138,\
        _STATUS_139,\
        _STATUS_140,\
        _STATUS_141,\
        _STATUS_142,\
        _STATUS_143,\
        _STATUS_144,\
        _STATUS_145,\
        _STATUS_146,\
        _STATUS_147,\
        _STATUS_148,\
        _STATUS_149,\
        _STATUS_150,\
        _STATUS_151,\
        _STATUS_152,\
        _STATUS_153,\
        _STATUS_154,\
        _STATUS_155,\
        _STATUS_192,\
        _STATUS_193,\
        _STATUS_194,\
        _STATUS_195,\
        _STATUS_196,\
        _STATUS_197,\
        _STATUS_198,\
        _STATUS_199,\
        _STATUS_200,\
        _STATUS_201,\
        _STATUS_202,\
        _STATUS_203,\
        _STATUS_204,\
        _STATUS_205,\
        _STATUS_206,\
        _STATUS_207,\
        _STATUS_208,\
        _STATUS_209,\
        _STATUS_210,\
        _STATUS_211,\
        _STATUS_212,\
        _STATUS_213,\
        _STATUS_214,\
        _STATUS_215,\
        _STATUS_216,\
        _STATUS_217,\
        _STATUS_218,\
        _STATUS_219,\
        _STATUS_220,\
        _STATUS_221,\
        _STATUS_222,\
        _STATUS_223,\
        _STATUS_224,\
        _STATUS_225,\
        _STATUS_226,\
        _STATUS_227

